Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.templates
Class ElemExtensionCall

    java.lang.Object
      org.apache.xml.utils.UnImplNode
          org.apache.xalan.templates.ElemTemplateElement
              org.apache.xalan.templates.ElemUse
                  org.apache.xalan.templates.ElemLiteralResult
                      org.apache.xalan.templates.ElemExtensionCall

All Implemented Interfaces:
  Document, Element, ExpressionNode, Node, NodeList, PrefixResolver, java.io.Serializable, SourceLocator, WhitespaceStrippingElementMatcher, XSLTVisitable

public class ElemExtensionCall
extends ElemLiteralResult

Implement an extension element.

See Also:
  extension-element in XSLT Specification, Serialized Form
Usage:
  **For advanced use only**

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`ElemExtensionCall()`

Method Summary
`void` | `compose(StylesheetRoot sroot)` This function is called after everything else has been recomposed, and allows the template to set remaining values that may be based on some other property that depends on recomposition.
`void` | `execute(TransformerImpl transformer)` Execute an extension.
`java.lang.String` | `getAttribute(java.lang.String rawName)` Return the raw value of the attribute.
`java.lang.String` | `getAttribute(java.lang.String rawName, Node sourceNode, TransformerImpl transformer)` Return the value of the attribute interpreted as an Attribute Value Template (in other words, you can use curly expressions such as href="http://{website}".
`int` | `getXSLToken()` Get an int constant identifying the type of element.

Methods inherited from class org.apache.xalan.templates.ElemLiteralResult
`addLiteralResultAttribute, addLiteralResultAttribute, containsExcludeResultPrefix, containsExtensionElementURI, enumerateLiteralResultAttributes, getExtensionElementPrefix, getExtensionElementPrefixCount, getIsLiteralResultAsStylesheet, getLiteralResultAttribute, getLocalName, getNamespace, getNodeName, getPrefix, getRawName, getVersion, resolvePrefixTables, setExcludeResultPrefixes, setExtensionElementPrefixes, setIsLiteralResultAsStylesheet, setLocalName, setNamespace, setRawName, setVersion, setXmlSpace`

Methods inherited from class org.apache.xalan.templates.ElemUse
`applyAttrSets, getUseAttributeSets, setUseAttributeSets, setUseAttributeSets`

Methods inherited from class org.apache.xalan.templates.ElemTemplateElement
`appendChild, appendChild, callVisitors, canAcceptVariables, canStripWhiteSpace, compareTo, endCompose, error, error, exprAddChild, exprGetChild, exprGetNumChildren, exprGetParent, exprSetParent, getBaseIdentifier, getChildNodes, getColumnNumber, getDeclaredPrefixes, getDOMBackPointer, getEndColumnNumber, getEndLineNumber, getFirstChild, getFirstChildElem, getLastChild, getLastChildElem, getLength, getLineNumber, getNamespaceForPrefix, getNamespaceForPrefix, getNextSibling, getNextSiblingElem, getNodeType, getOwnerDocument, getOwnerXSLTemplate, getParentElem, getParentNode, getParentNodeElem, getPrefixes, getPreviousSibling, getPreviousSiblingElem, getPublicId, getStylesheet, getStylesheetComposed, getStylesheetRoot, getSystemId, getTagName, getUid, getXmlSpace, handlesNullPrefixes, hasChildNodes, hasTextLitOnly, hasVariableDecl, insertBefore, isCompiledTemplate, item, recompose, removeChild, replaceChild, replaceChild, runtimeInit, setDOMBackPointer, setEndLocaterInfo, setLocaterInfo, setParentElem, setPrefixes, setPrefixes, setUid, setXmlSpace, shouldStripWhiteSpace`

Methods inherited from class org.apache.xml.utils.UnImplNode
`adoptNode, appendData, cloneNode, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, deleteData, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDoctype, getDocumentElement, getElementById, getElementsByTagName, getElementsByTagNameNS, getEncoding, getImplementation, getNamespaceURI, getNodeValue, getOwnerElement, getSpecified, getStandalone, getStrictErrorChecking, hasAttribute, hasAttributeNS, hasAttributes, importNode, insertData, isSupported, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceData, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setData, setEncoding, setNodeValue, setPrefix, setStandalone, setStrictErrorChecking, setValue, splitText, substringData`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElemExtensionCall

    public ElemExtensionCall()

Method Detail

### getXSLToken

    public int getXSLToken()

  Get an int constant identifying the type of element.

  Overrides:
    `getXSLToken` in class `ElemLiteralResult`
  Returns:
    The token ID for this element
  See Also:
    `Constants`

### compose

    public void compose(StylesheetRoot sroot)
                 throws TransformerException

  This function is called after everything else has been recomposed, and allows the template to set remaining values that may be based on some other property that depends on recomposition.

  Overrides:
    `compose` in class `ElemLiteralResult`
  Throws:
    `TransformerException`

### execute

    public void execute(TransformerImpl transformer)
                 throws TransformerException

  Execute an extension.

  Overrides:
    `execute` in class `ElemLiteralResult`
  Parameters:
    `transformer` - non-null reference to the the current transform-time state.
  Throws:
    `TransformerException`
  See Also:
    literal-result-element in XSLT Specification

### getAttribute

    public java.lang.String getAttribute(java.lang.String rawName)

  Return the raw value of the attribute.

  Specified by:
    `getAttribute` in interface `Element`
  Overrides:
    `getAttribute` in class `UnImplNode`
  Parameters:
    `rawName` - Raw name of the attribute to get
  Returns:
    the raw value of the attribute or null if not found

### getAttribute

    public java.lang.String getAttribute(java.lang.String rawName,
                                         Node sourceNode,
                                         TransformerImpl transformer)
                                  throws TransformerException

  Return the value of the attribute interpreted as an Attribute Value Template (in other words, you can use curly expressions such as href="http://{website}".

  Parameters:
    `rawName` - Raw name of the attribute to get
    `sourceNode` - non-null reference to the current source node.
    `transformer` - non-null reference to the the current transform-time state.
  Returns:
    the value of the attribute
  Throws:
    `TransformerException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache XML Project. All Rights Reserved.